package com.zbkj.service.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zbkj.common.model.order.StoreOrderReturn;
import com.zbkj.common.page.CommonPage;
import com.zbkj.common.request.PageParamRequest;
import com.zbkj.common.response.ApplyRecordsResponse;

public interface StoreOrderReturnService extends IService<StoreOrderReturn> {

    void createReturn(StoreOrderReturn oReturn);

    void refundErr(Integer orderId, String verifyFailReason);

    void refundOk(Integer orderId);

    /**
     * 售后申请记录
     * @param pageRequest
     * @return
     */
    CommonPage<ApplyRecordsResponse> applyRecordsList(PageParamRequest pageRequest);

    /**
     * 售后详情
     * @param id
     * @return
     */
    ApplyRecordsResponse getApplyRecord(String id);

}

